Bug 1751487 - tryton depends on Python 2
Summary: tryton depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tryton
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL 1736922
TreeView+ depends on / blocked
 
Reported: 2019-09-12 05:33 UTC by Lumír Balhar
Modified: 2019-11-14 09:32 UTC (History)
2 users (show)

Fixed In Version: tryton-5.4.0-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-14 09:32:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-09-12 05:33:13 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for tryton's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to tryton.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-09-19 08:27:11 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 2 Dan Horák 2019-09-19 08:43:05 UTC
The plan is to update to new major version 5.x with Python3 support, now only to find the time for doing it :-)

Comment 3 Lumír Balhar 2019-09-19 09:38:04 UTC
Thanks for the info. Nothing depends on tryton package in rawhide so you have some time.

The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 4 Miro Hrončok 2019-10-16 14:59:42 UTC
Dan, is there a real chance this will be done in time? Or do you plan to request an exception?

Comment 5 Dan Horák 2019-11-04 13:07:30 UTC
I'm still targeting the mid-Nov deadline for it.


Note You need to log in before you can comment on or make changes to this bug.